#------------------------------------------------------------------------------
#
#   Interesting Times - Collection classes
#
#------------------------------------------------------------------------------

from vectors import as_vector

#------------------------------------------------------------------------------

class CellSet(object):

	def __init__(self):
		self.set = set()
	
	def __nonzero__(self):
		return bool(self.set)
	
	def __contains__(self, cell):
		return tuple(cell) in self.set
	
	def add(self, cell):
		self.set.add(tuple(cell))

	def pop(self):
		return as_vector(self.set.pop())

#------------------------------------------------------------------------------

class CellDict(object):

	def __init__(self):
		self.dict = {}
	
	def __contains__(self, cell):
		return tuple(cell) in self.dict
	
	def __iter__(self):
		for key in self.dict:
			yield as_vector(key)
	
	def __getitem__(self, cell):
		return self.dict[tuple(cell)]
	
	def __setitem__(self, cell, value):
		self.dict[tuple(cell)] = value
	
	def __delitem__(self, cell):
		del self.dict[tuple(cell)]
	
	def get(self, cell):
		return self.dict.get(tuple(cell))
