#------------------------------------------------------------------------------
#
#   Interesting Times - News items
#
#------------------------------------------------------------------------------

from random import triangular, randrange, choice
from pygame import Color
from albow.resource import get_image, get_font
from vectors import vector
import constants as k

class NewsItem(object):
	#  origin      vector
	#  news_value  int

	image = get_image("news_item-yellow.png")
	font = get_font(10, "Vera.ttf")
	text_color = Color("black")
	text_offset = vector(-3, -1)
	
	def __init__(self, news_value, origin):
		self.news_value = news_value
		self.origin = origin
	
	position = property(lambda self: self.origin * k.CELL_SIZE)
	
	def draw(self, surf):
		def blit_centered(image, p):
			r = image.get_rect()
			r.center = p
			surf.blit(image, r)
		p = self.position
		blit_centered(self.image, p)
		text = self.font.render(str(self.news_value), True, self.text_color)
		blit_centered(text, p + self.text_offset)
		
#------------------------------------------------------------------------------

nv_min = k.MIN_NEWS_VALUE
nv_max = k.MAX_NEWS_VALUE
nv_range = nv_max - nv_min

def random_news_value():
	x = triangular(0.0, 1.0, 0.0) ** 1.5
	y = int(round(nv_min + x * nv_range))
	return y

def random_news_item(tiles):
	news_value = random_news_value()
	tile = choice(tiles)
	i = randrange(tile.width)
	j = randrange(tile.height)
	origin = tile.origin + vector(i, j)
	return NewsItem(news_value, origin)

if __name__ == "__main__":
	for i in xrange(20):
		print random_news_value()
