#------------------------------------------------------------------------------
#
#   Interesting Times - Game
#
#------------------------------------------------------------------------------

from albow.resource import get_image
from humerus.heshell import HEShell
from humerus.main_commands import MainCommandScreen
from humerus.edit_commands import EditCommandScreen
from play_screen import ITPlayScreen
from edit_screen import ITEditScreen

class ITMainCommandScreen(MainCommandScreen):

	bg_image = get_image("front-page.png")
	
	def add_title_and_menu(self, title, menu):
		title.midtop = self.width // 2, 50
		self.add(title)
		menu.midtop = title.centerx, title.bottom + 100
		self.add(menu)

class Shell(HEShell):

	game_title = "Interesting Times"
	app_magic = "IXTM"
	save_file_suffix = ".ixtgam"
	
	def __init__(self, game, options):
		HEShell.__init__(self, game, options)
		self.main_menu_screen = ITMainCommandScreen(self, with_menu = True)
		self.edit_menu_screen = EditCommandScreen(self, with_menu = True)
		self.play_screen = ITPlayScreen(self)
		self.editor_screen = ITEditScreen(self)
