#------------------------------------------------------------------------------
#
#   Interesting Times - Sound
#
#------------------------------------------------------------------------------

from pygame.mixer import Channel
from albow.dialogs import alert
from albow.resource import get_sound

blip_sound = get_sound("blip.wav")
blip_sound.set_volume(0.5)

bling_sound = get_sound("hallelujah.wav")
bling_sound.set_volume(0.5)

channels = {}

def play_sound(channel_no, sound):
	channel = channels.get(channel_no)
	if not channel:
		channel = Channel(channel_no)
		channels[channel_no] = channel
	if not channel.get_busy():
		channel.play(sound)

def bleep(mess):
	blip_sound.play()
	alert(mess)

def bling(mess):
	bling_sound.play()
	alert(mess)
