#------------------------------------------------------------------------------
#
#   Interesting Times - Tiles
#
#------------------------------------------------------------------------------

from __future__ import division
from pygame import Rect, Color
from albow.resource import get_image
from albow.image_array import get_image_array
from vectors import vector
from probability import chance, random_vector
from tile import Tile, NoTile, StaticTile
from house_tile import HouseTile
import constants as k

#------------------------------------------------------------------------------

class RoadTile(StaticTile):
	
	is_road = True

#------------------------------------------------------------------------------

class NewsStandTile(StaticTile):

	is_newsstand = True
	bar_area = Rect(4, 56, 56, 4)
	
	def prepare(self, level):
		self.news_value = [0, 0]
	
	def draw(self, surf, pos):
		StaticTile.draw(self, surf, pos)
		c = self.bar_colors
		for i in (0, 1):
			f = self.news_value[i] * k.LOYALTY_PER_COLUMN_INCH / k.MAX_LOYALTY
			self.draw_bar(surf, pos, i, 2, f, c[i])

#------------------------------------------------------------------------------

grass = StaticTile(1, 1, "grass-16x16.png")
